m.svfit(1)		      Grass User's Manual		    m.svfit(1)



NNAAMMEE
       _m_._s_v_f_i_t - Semivariogram model fitting.
       _(_G_R_A_S_S _D_a_t_a _I_m_p_o_r_t_/_P_r_o_c_e_s_s_i_n_g _P_r_o_g_r_a_m_)

SSYYNNOOPPSSIISS
       mm..ssvvffiitt
       mm..ssvvffiitt hheellpp
       mm..ssvvffiitt [--ppqqww] [iinnppuutt==_n_a_m_e] mmooddeell==_v_a_l_u_e rraannggee==_v_a_l_u_e [ggrraapphh==_n_a_m_e]

DDEESSCCRRIIPPTTIIOONN
       _m_._s_v_f_i_t	calculates  a  sample  semivariogram and either plots it using
       _g_n_u_p_l_o_t or writes the estimated parameters to standard output, or both.


       For more information, refer to the tutorial or see the example below.



OOPPTTIIOONNSS
   FFllaaggss::
       --qq     Quiet. Cut out the chatter.

       --pp     Plot model and sample semivariogram (requires _g_n_u_p_l_o_t).

       --ww     Use weighted least squares (default is general least squares)


   PPaarraammeetteerrss::
       ssiitteess==_n_a_m_e
	      UNIX  file containing sample semivariogram (see NOTES).  Default
	      is standard input.

       mmooddeell==_v_a_l_u_e
	      Integer Model Index, one of

	       Linear,

	       Spherical,

	       Exponential,

	       Gaussian,

	       Quadratic, or

	       Wave or Hole Effect.


       rraannggee==_v_a_l_u_e
	      Range of semivariogram.

       ggrraapphh==_n_a_m_e
	      Basename to save graphing data/commands files.  Graphs are saved
	      in  the  current	working  directory with the extensions .gp and
	      .dat. Implies the --pp flag.


NNOOTTEESS
       Three columns of data are expected as input: lag distance (_h), semivar-
       iogram  value  (_g_a_m_m_a), and the number of data pairs used to compute it
       (_N_(_h_)).	This may either be from a UNIX file, entered from the  command
       line (terminated by control-d), or via a pipe or redirection.


       The  plotting  program can be selected by setting the environment vari-
       able GGRRAASSSS__GGNNUUPPLLOOTT .

EEXXAAMMPPLLEE
       _m_._s_v_f_i_t was designed to be used in conjunction with _s_._s_v, a GRASS sites
       program	for  calculating  sample semivariograms. The following example
       calculates a sample semivariogram of the sites list _w_e_l_l_s with a  nomi-
       nal lag distance of 5 and then fits a linear model with a range of 100.
       The sample semivariogram and model are plotted using  _g_n_u_p_l_o_t  and  the
       graphing  instructions  and  data  are saved to files with the basename
       _s_v_w_e_l_l_s in the current working directory: ss..ssvv --qq _w_e_l_l_s llaagg==_5 | mm..ssvvffiitt
       --pp mm==_1 rr==_1_0_0 gg==_s_v_w_e_l_l_s

       By  saving the graphing instructions and data, the semivariogram may be
       plotted again later by the following command: ggnnuupplloott _s_v_w_e_l_l_s_._g_p


SSEEEE AALLSSOO
       _s_._u_n_i_v_a_r, _s_._n_o_r_m_a_l, _s_._s_v _g_n_u_p_l_o_t and


       _S_e_m_i_v_a_r_i_o_g_r_a_m _M_o_d_e_l_i_n_g - A GRASS Tutorial on Exploratory Data  Analysis
       and Semivariogram Modeling.

BBUUGGSS
       Please send all bug fixes and comments to the author.

AAUUTTHHOORR
       James Darrell McCauley, Agricultural Engineering, Purdue University

       _L_a_s_t _c_h_a_n_g_e_d_: _$_D_a_t_e_: _2_0_0_2_/_0_1_/_2_5 _0_5_:_4_5_:_3_3 _$



GRASS 5.0							    m.svfit(1)
